Subject: Re: [bug#30096] [PATCH 2/6] gnu: Add ocaml-integers.

From: julien lepiller <[email-masked]>
Date: Fri, 19 Jan 2018 09:09:29 +0100

Le 2018-01-19 06:32, Peter Kreye a écrit :
> Julien,
> 
> Thank you for all of the feedback, it is much appreciated.
> 
> Julien Lepiller writes:
> 
>> Actually, I forgot to ask, why disable tests?
>> 
>> That's the same question for the rest of your patches too.
> 
> This package doesn't have any tests, which seems to be causing the 
> 'check
> phase to fail. Would it be better to use "#:tests? #f" or to delete the
> 'check phase?

I think it's better to use #:tests? #f and leave a comment to explain 
the reason, so:

#:tests? #f; no test suite

Since you disable tests in all your patches, could you leave a comment 
in each of them
to explain why it is disabled?

> 
>> You don't need to replace the 'build phase. ocaml-build-system can 
>> find
>> pkg/pkg.ml. You just need to use #:build-flags (list "build") to add
>> arguments.
>> 
>> That applies also to the rest of your patches.
> 
> Thank you for this info. I'll make sure to do this from now on.
> 
>> It's probably better to use "#:findlib ,ocaml-findlib-1.7.3" in the
>> arguments list.
> 
> Same.
> 
> --

Thank you, I'll push your patches as soon as you send a new version.